## kdeconnect 1.4-0ubuntu5+10.0trisquel1

=== tests/CMakeLists.txt ===
find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Test)

include_directories(
    ${KDEConnectCore_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${CMAKE_BINARY_DIR}/plugins/sendnotifications/
    ${CMAKE_BINARY_DIR}/smsapp/
)

set(kdeconnect_libraries
	kdeconnectcore
    KF5::I18n
    Qt5::DBus
    Qt5::Network
    Qt5::Test
    qca-qt5
)

if(${KF5KIO_FOUND})
    list(APPEND kdeconnect_libraries KF5::KIOWidgets)
endif()

set(kdeconnect_sms_libraries
    kdeconnectsmshelper
    Qt5::Test
)

ecm_add_test(pluginloadtest.cpp LINK_LIBRARIES ${kdeconnect_libraries})
ecm_add_test(sendfiletest.cpp LINK_LIBRARIES ${kdeconnect_libraries})
ecm_add_test(networkpackettests.cpp LINK_LIBRARIES ${kdeconnect_libraries})
ecm_add_test(testsocketlinereader.cpp TEST_NAME testsocketlinereader LINK_LIBRARIES ${kdeconnect_libraries})
#ecm_add_test(testsslsocketlinereader.cpp TEST_NAME testsslsocketlinereader LINK_LIBRARIES ${kdeconnect_libraries})
ecm_add_test(kdeconnectconfigtest.cpp TEST_NAME kdeconnectconfigtest LINK_LIBRARIES ${kdeconnect_libraries})
ecm_add_test(lanlinkprovidertest.cpp TEST_NAME lanlinkprovidertest LINK_LIBRARIES ${kdeconnect_libraries})
ecm_add_test(devicetest.cpp TEST_NAME devicetest LINK_LIBRARIES ${kdeconnect_libraries})
ecm_add_test(testnotificationlistener.cpp
             testdevice.cpp
             ../plugins/sendnotifications/sendnotificationsplugin.cpp
             ../plugins/sendnotifications/notificationslistener.cpp
             ../plugins/sendnotifications/notifyingapplication.cpp
             TEST_NAME testnotificationlistener
             LINK_LIBRARIES ${kdeconnect_libraries} Qt5::DBus KF5::Notifications KF5::IconThemes)
ecm_add_test(testsmshelper.cpp LINK_LIBRARIES ${kdeconnect_sms_libraries})
if(PRIVATE_DBUS_ENABLED)
    ecm_add_test(testprivatedbus.cpp LINK_LIBRARIES ${kdeconnect_libraries})
endif()

=== debian/changelog ===
kdeconnect (1.4-0ubuntu5+10.0trisquel1) nabia; urgency=medium

  * Fix kdeconnect_open MimeType

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 21 Jan 2022 00:56:37 +0000

## kdeconnect 20.08.2

=== debian/changelog ===
kdeconnect (20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream bugfix release (20.08.2)
  * SECURITY UPDATE: Packet manipulation can be exploited in a Denial of
    Service attack.
    - CVE-2020-26164
    - Thanks Matthias Gerstner and the openSUSE security team for reporting
      the issue. Thanks to Aleix Pol, Nicolas Fella and Albert Vaca Cintora
      for the patches.

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Oct 2020 12:33:36 +0100

kdeconnect (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:51:55 +0100

kdeconnect (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:45:35 +0100

kdeconnect (20.04.3-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Update description to better describe latest device support and
      capabilities, using wording request by upstream developers.
    - Recommends: kpeople-vcard.
    - Add missing qml-module-qtquick-particles2 runtime depend.
    - wrap-and-sort.

 -- Rik Mills <rikmills@kde.org>  Fri, 31 Jul 2020 16:30:41 +0100

kdeconnect (20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch python-nautilus suggest to python3-nautilus. (Closes: #958724)

 -- Pino Toscano <pino@debian.org>  Fri, 31 Jul 2020 07:43:53 +0200

kdeconnect (20.04.3-0ubuntu2) groovy; urgency=medium

  * Add missing qml-module-qtquick-particles2 runtime depend.
    (LP: #1888215)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Jul 2020 14:19:38 +0100

kdeconnect (20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:36:13 +0100

kdeconnect (20.04.2-1ubuntu2) groovy; urgency=medium

  * Really restore Recommends: kpeople-vcard

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 16:13:53 +0100

kdeconnect (20.04.2-1ubuntu1) groovy; urgency=medium

  * Update description to better describe latest device support and
    capabilities.
  * Recommends: kpeople-vcard

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Jun 2020 09:39:58 +0100

kdeconnect (20.04.2-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * We don't need disable_networkPackageIdentityTest.patch anymore to
    pass tests.

  [ Maximiliano Curia ]
  * Update watch file
  * New upstream release (1.3.5). (Closes: #940489)

  [ Nicolas Fella ]
  * Point to new website.
  * Remove suggestion of plasma-workspace.

  [ Pino Toscano ]
  * New upstream release from KDE's release-service.
  * Update Vcs-* fields.
  * Update watch file and signing key for KDE's release-service.
  * Update the patches:
    - fix_typos_in_lanlinkprovider.cpp.patch: drop, fixed upstream
    - ssl_socket_race_fix.diff: drop, fixed upstream
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.10.0
    - bump KF packages to 5.64.0
    - add kirigami2-dev, libkf5people-dev, libkf5pulseaudioqt-dev,
      libkf5wayland-dev, and qtmultimedia5-dev
    - remove libkf5config-dev, and libkf5declarative-dev
    - explicitly add gettext
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Unregister the removed /etc/xdg/autostart/kdeconnectd.desktop conffile.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add Rules-Requires-Root: no.
  * Add the configuration for the CI on salsa.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add the qml-module-org-kde-kirigami2 and qml-module-org-kde-people
    dependencies, as hinted by the build system.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway
    - drop the libqca-qt5-2-plugins build dependency, no more needed now
  * Temporarily enable the diffie-hellman-group14-sha1 key exchange algorithm,
    as the Android application still uses it; backport the
    kdeconnect-openssh-8.2.patch Arch Linux patch done by Antonio Rojas.
    (Closes: #953843)

 -- Pino Toscano <pino@debian.org>  Fri, 12 Jun 2020 09:59:36 +0200

=== debian/control ===
Source: kdeconnect
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.64.0~),
               gettext,
               kirigami2-dev (>= 5.64.0~),
               libfakekey-dev,
               libkf5configwidgets-dev (>= 5.64.0~),
               libkf5dbusaddons-dev (>= 5.64.0~),
               libkf5doctools-dev (>= 5.64.0~),
               libkf5i18n-dev (>= 5.64.0~),
               libkf5iconthemes-dev (>= 5.64.0~),
               libkf5kcmutils-dev (>= 5.64.0~),
               libkf5kio-dev (>= 5.64.0~),
               libkf5notifications-dev (>= 5.64.0~),
               libkf5people-dev (>= 5.64.0~),
               libkf5pulseaudioqt-dev,
               libkf5service-dev (>= 5.64.0~),
               libkf5wayland-dev (>= 4:5.64.0~),
               libqca-qt5-2-dev (>= 2.1.0~),
               libqt5x11extras5-dev (>= 5.10.0~),
               libx11-dev,
               libxtst-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.10.0~),
               qtdeclarative5-dev (>= 5.10.0~),
               qtmultimedia5-dev (>= 5.10.0~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://kdeconnect.kde.org
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeconnect.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeconnect

Package: kdeconnect
Architecture: any
Depends:
 kde-cli-tools,
 libqca-qt5-2-plugins,
 plasma-framework,
 qml-module-org-kde-kirigami2,
 qml-module-org-kde-people,
 qml-module-qtquick-controls,
 qml-module-qtquick-controls2,
 qml-module-qtquick-layouts,
 qml-module-qtquick-particles2,
 qml-module-qtquick2,
 sshfs,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: kpeople-vcard,
Suggests: python3-nautilus
Description: connect smartphones to your desktop devices.
 Tool to integrate your smartphone, tablet, and desktop devices.
 Remote-control, share files, synchronize notifications, and more!
 At the moment it only supports Android-based mobile devices. Linux desktop
 devices are well-supported, with ports available for other operating systems.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with=kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kdeconnect 20.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

# KDE Release Service Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "20")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kdeconnect VERSION ${RELEASE_SERVICE_VERSION})

if (SAILFISHOS)
    set(KF5_MIN_VERSION "5.36.0")
    set(QT_MIN_VERSION "5.6.0")
else()
    set(KF5_MIN_VERSION "5.71.0")
    set(QT_MIN_VERSION "5.10.0")
endif()
set(QCA_MIN_VERSION "2.1.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMAddTests)
include(ECMSetupVersion)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)
include(GenerateExportHeader)
if (NOT SAILFISHOS)
    include(ECMQMLModules)
endif()

include(KDEConnectMacros.cmake)

ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX KDECONNECT
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/kdeconnect-version.h
)

# Make the version header available by linking against kdeconnectversion
add_library(kdeconnectversion INTERFACE)
target_include_directories(kdeconnectversion INTERFACE ${CMAKE_CURRENT_BINARY_DIR})

if (SAILFISHOS)
    set(KF5_REQUIRED_COMPONENTS I18n CoreAddons Config)
    set(KF5_OPTIONAL_COMPONENTS)

    set(Qca_LIBRARY CONAN_PKG::Qca-qt5)

    add_definitions(-DSAILFISHOS)
else()
    find_package(Qca-qt5 ${QCA_MIN_VERSION} REQUIRED)
    set(Qca_LIBRARY qca-qt5)

    set(KF5_REQUIRED_COMPONENTS I18n ConfigWidgets DBusAddons IconThemes Notifications KIO KCMUtils Service Solid Kirigami2 People)
    set(KF5_OPTIONAL_COMPONENTS DocTools)

    set_package_properties(KF5Kirigami2 PROPERTIES
        DESCRIPTION "QtQuick plugins to build user interfaces based on KDE UX guidelines"
        PURPOSE "Required for KDE Connect's QML-based GUI applications"
        URL "https://www.kde.org/products/kirigami/"
        TYPE RUNTIME
    )

    if(UNIX AND NOT APPLE)
        find_package(KF5PulseAudioQt)
    endif()

    find_package(KF5PeopleVCard)
    set_package_properties(KF5PeopleVCard PROPERTIES
        PURPOSE "Read vcards from the file system"
        URL "https://invent.kde.org/pim/kpeoplevcard"
        TYPE RUNTIME
    )

    add_definitions(-DHAVE_KIO)

    ecm_find_qmlmodule(org.kde.people 1.0)
    ecm_find_qmlmodule(QtQuick.Particles 2.0)

endif()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_NO_KEYWORDS -DQT_NO_CAST_FROM_ASCII)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS DBus Quick Network Multimedia)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS ${KF5_REQUIRED_COMPONENTS})
if (KF5_OPTIONAL_COMPONENTS)
    find_package(KF5 ${KF5_MIN_VERSION} COMPONENTS ${KF5_OPTIONAL_COMPONENTS})
endif()

if (NOT ZSH_AUTOCOMPLETE_DIR)
set(ZSH_AUTOCOMPLETE_DIR "${KDE_INSTALL_DATADIR}/zsh/site-functions")
endif()

option(PRIVATE_DBUS_ENABLED "Use private dbus session for kdeconnect" OFF)
if(PRIVATE_DBUS_ENABLED OR APPLE)
    add_compile_definitions(USE_PRIVATE_DBUS)
endif()

add_subdirectory(core)
add_subdirectory(plugins)
add_subdirectory(interfaces)

if (NOT SAILFISHOS)
    add_subdirectory(icons)
    add_subdirectory(data)
    add_subdirectory(cli)
    add_subdirectory(declarativeplugin)

    add_subdirectory(kcm)
    add_subdirectory(kcmplugin)
    add_subdirectory(daemon)
    add_subdirectory(app)
    add_subdirectory(indicator)
    add_subdirectory(urlhandler)
    add_subdirectory(nautilus-extension)
    add_subdirectory(fileitemactionplugin)
    add_subdirectory(smsapp)
    add_subdirectory(settings)

    if(NOT WIN32)
        add_subdirectory(kio)
        add_subdirectory(plasmoid)
    endif()
endif()

if(KF5DocTools_FOUND)
    add_subdirectory(doc)
endif()

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

ecm_qt_install_logging_categories(EXPORT kdeconnect-kde FILE kdeconnect-kde.categories SORT DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}")

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== daemon/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="kdeconnect-kded")

set(debug_file_SRCS)
ecm_qt_declare_logging_category(
    debug_file_SRCS HEADER kdeconnectd_debug.h
    IDENTIFIER KDECONNECT_DAEMON CATEGORY_NAME kdeconnect.daemon
    DEFAULT_SEVERITY Warning
    EXPORT kdeconnect-kde DESCRIPTION "kdeconnect (daemon)")

add_executable(kdeconnectd kdeconnectd.cpp ${debug_file_SRCS})
target_link_libraries(kdeconnectd
    kdeconnectcore kdeconnectversion
    KF5::KIOWidgets
    KF5::DBusAddons
    KF5::Notifications
    KF5::I18n
    Qt5::Widgets)

ecm_mark_nongui_executable(kdeconnectd)

configure_file(org.kde.kdeconnect.daemon.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kdeconnect.daemon.desktop)
configure_file(org.kde.kdeconnect.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kdeconnect.service)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kdeconnect.daemon.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kdeconnect.daemon.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kdeconnect.service DESTINATION ${DBUS_SERVICES_INSTALL_DIR})
install(TARGETS kdeconnectd DESTINATION ${LIBEXEC_INSTALL_DIR})

=== declarativeplugin/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_SOURCE_DIR}
                    ${CMAKE_BINARY_DIR})

set(kdeconnectdeclarativeplugin_SRC
    kdeconnectdeclarativeplugin.cpp
    responsewaiter.cpp
    objectfactory.cpp
)

qt5_add_resources(kdeconnectdeclarativeplugin_SRC resources.qrc)

add_library(kdeconnectdeclarativeplugin SHARED ${kdeconnectdeclarativeplugin_SRC})
target_link_libraries(kdeconnectdeclarativeplugin
    Qt5::Qml
    kdeconnectinterfaces
    kdeconnectcore
)

install(TARGETS kdeconnectdeclarativeplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/kdeconnect)
install(FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/kdeconnect)

# So qml apps using this plugin can be run from build/bin directory
add_custom_target(copy_to_build_dir_bin)
file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/bin/org/kde/kdeconnect)
add_custom_command(TARGET copy_to_build_dir_bin
                   COMMAND ${CMAKE_COMMAND} -E
                   copy ${CMAKE_CURRENT_SOURCE_DIR}/qmldir ${CMAKE_BINARY_DIR}/bin/org/kde/kdeconnect/)
add_dependencies(kdeconnectdeclarativeplugin copy_to_build_dir_bin)
set_target_properties(kdeconnectdeclarativeplugin
    PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin/org/kde/kdeconnect/
)

=== icons/CMakeLists.txt ===

set(APP_ICONS
    ${CMAKE_CURRENT_SOURCE_DIR}/app/sc-apps-kdeconnect.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/app/sc-apps-kdeconnectindicator.svg)

list(APPEND APP_ICONS
    ${CMAKE_CURRENT_SOURCE_DIR}/app/sc-apps-kdeconnectindicatordark.svg)

if(APPLE)
    # Craft adds share/icons into blacklist, which will not be copied into the bundle
    # As a workaround, on macOS, set ICON_INSTALL_DIR to another path
    set(ICON_INSTALL_DIR share/kdeconnect-icons)
endif()

ecm_install_icons(ICONS ${APP_ICONS} DESTINATION ${ICON_INSTALL_DIR})

ecm_install_icons(ICONS
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-laptopconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-laptopdisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-laptoptrusted.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-smartphoneconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-smartphonedisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-smartphonetrusted.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-tabletconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-tabletdisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-tablettrusted.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-tvconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-tvdisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/16-status-tvtrusted.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-laptopconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-laptopdisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-laptoptrusted.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-smartphoneconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-smartphonedisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-smartphonetrusted.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-tabletconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-tabletdisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-tablettrusted.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-tvconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-tvdisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/22-status-tvtrusted.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-laptopconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-laptopdisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-laptoptrusted.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-smartphoneconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-smartphonedisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-smartphonetrusted.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-tabletconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-tabletdisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-tablettrusted.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-tvconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-tvdisconnected.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/status/32-status-tvtrusted.svg
    DESTINATION ${ICON_INSTALL_DIR})

=== indicator/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kdeconnect-indicator\")

set(debug_file_SRCS)
ecm_qt_declare_logging_category(
    debug_file_SRCS HEADER indicator_debug.h
    IDENTIFIER KDECONNECT_INDICATOR CATEGORY_NAME kdeconnect.indicator
    DEFAULT_SEVERITY Warning
    EXPORT kdeconnect-kde DESCRIPTION "kdeconnect (indicator)")

set(indicator_SRCS
    main.cpp
    deviceindicator.cpp
)

include(ECMAddAppIcon)

ecm_add_app_icon(indicator_SRCS ICONS
    ${CMAKE_SOURCE_DIR}/icons/app/sc-apps-kdeconnect.svg
    ${CMAKE_SOURCE_DIR}/icons/app/16-apps-kdeconnect.png
    ${CMAKE_SOURCE_DIR}/icons/app/24-apps-kdeconnect.png
    ${CMAKE_SOURCE_DIR}/icons/app/32-apps-kdeconnect.png
    ${CMAKE_SOURCE_DIR}/icons/app/48-apps-kdeconnect.png
    ${CMAKE_SOURCE_DIR}/icons/app/64-apps-kdeconnect.png
    ${CMAKE_SOURCE_DIR}/icons/app/128-apps-kdeconnect.png
    ${CMAKE_SOURCE_DIR}/icons/app/256-apps-kdeconnect.png
    ${CMAKE_SOURCE_DIR}/icons/app/1024-apps-kdeconnect.png
)

if (WIN32)
    list(APPEND indicator_SRCS indicatorhelper_win.cpp)
elseif (APPLE)
    list(APPEND indicator_SRCS indicatorhelper_mac.cpp serviceregister_mac.mm)
else ()
    list(APPEND indicator_SRCS indicatorhelper.cpp)
endif()

add_executable(kdeconnect-indicator ${indicator_SRCS} ${debug_file_SRCS})

target_link_libraries(kdeconnect-indicator Qt5::Widgets KF5::CoreAddons KF5::I18n KF5::Notifications KF5::DBusAddons KF5::KCMUtils kdeconnectinterfaces kdeconnectcore kdeconnectversion)
if (WIN32)
    add_compile_definitions(QSYSTRAY)
endif()

if (APPLE)
# Apple frameworks
target_link_libraries(kdeconnect-indicator "-framework AppKit")
# Apple app package
set_target_properties(kdeconnect-indicator PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist)
set_target_properties(kdeconnect-indicator PROPERTIES
    MACOSX_BUNDLE_BUNDLE_NAME "KDE Connect"
    MACOSX_BUNDLE_LONG_VERSION_STRING "${KDECONNECT_VERSION_STRING}"
    MACOSX_BUNDLE_SHORT_VERSION_STRING "${KDECONNECT_VERSION_MAJOR}.${KDECONNECT_VERSION_MINOR}.${KDECONNECT_VERSION_PATCH}"
    MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.kdeconnect")
endif()

install(TARGETS kdeconnect-indicator ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.kdeconnect.nonplasma.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== nautilus-extension/CMakeLists.txt ===

set(NAUTILUS_PYTHON_EXTENSIONS_INSTALL_DIR "share/nautilus-python/extensions" CACHE PATH "Path for python-nautilus extensions")

install(FILES kdeconnect-share.py DESTINATION ${NAUTILUS_PYTHON_EXTENSIONS_INSTALL_DIR})

=== urlhandler/CMakeLists.txt ===
ki18n_wrap_ui(telhandler_SRCS dialog.ui)

add_executable(kdeconnect-handler kdeconnect-handler.cpp ${telhandler_SRCS})

target_link_libraries(kdeconnect-handler
    kdeconnectinterfaces
    kdeconnectcore
    kdeconnectversion
    Qt5::Widgets
    KF5::CoreAddons
    KF5::I18n
)

install(TARGETS kdeconnect-handler ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.kdeconnect.handler.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )

=== plugins/battery/CMakeLists.txt ===
set(debug_file_SRCS)
ecm_qt_declare_logging_category(
    debug_file_SRCS HEADER plugin_battery_debug.h
    IDENTIFIER KDECONNECT_PLUGIN_BATTERY CATEGORY_NAME kdeconnect.plugin.battery
    DEFAULT_SEVERITY Warning
    EXPORT kdeconnect-kde DESCRIPTION "kdeconnect (plugin battery)")

set(kdeconnect_battery_SRCS
    batteryplugin.cpp
    ${debug_file_SRCS}
)

kdeconnect_add_plugin(kdeconnect_battery JSON kdeconnect_battery.json SOURCES ${kdeconnect_battery_SRCS})

target_link_libraries(kdeconnect_battery
    kdeconnectcore
    Qt5::DBus
    KF5::Solid
    KF5::I18n
)

=== plugins/bigscreen/CMakeLists.txt ===
set(kdeconnect_bigscreen_SRCS
    bigscreenplugin.cpp
)

kdeconnect_add_plugin(kdeconnect_bigscreen JSON kdeconnect_bigscreen.json SOURCES ${kdeconnect_bigscreen_SRCS})

target_link_libraries(kdeconnect_bigscreen kdeconnectcore Qt5::DBus KF5::I18n)

=== plugins/clipboard/CMakeLists.txt ===
set(debug_file_SRCS)
ecm_qt_declare_logging_category(
    debug_file_SRCS HEADER plugin_clipboard_debug.h
    IDENTIFIER KDECONNECT_PLUGIN_CLIPBOARD CATEGORY_NAME kdeconnect.plugin.clipboard
    DEFAULT_SEVERITY Warning
    EXPORT kdeconnect-kde DESCRIPTION "kdeconnect (plugin clipboard)")

set(kdeconnect_clipboard_SRCS
    clipboardplugin.cpp
    clipboardlistener.cpp
    ${debug_file_SRCS}
)

kdeconnect_add_plugin(kdeconnect_clipboard JSON kdeconnect_clipboard.json SOURCES ${kdeconnect_clipboard_SRCS})

target_link_libraries(kdeconnect_clipboard kdeconnectcore Qt5::Gui)

=== plugins/findmyphone/CMakeLists.txt ===
set(kdeconnect_findmyphone_SRCS
    findmyphoneplugin.cpp
)

kdeconnect_add_plugin(kdeconnect_findmyphone JSON kdeconnect_findmyphone.json SOURCES ${kdeconnect_findmyphone_SRCS})

target_link_libraries(kdeconnect_findmyphone kdeconnectcore Qt5::Core Qt5::DBus)

=== plugins/findthisdevice/CMakeLists.txt ===
set(debug_file_SRCS)
ecm_qt_declare_logging_category(
    debug_file_SRCS HEADER plugin_findthisdevice_debug.h
    IDENTIFIER KDECONNECT_PLUGIN_FINDTHISDEVICE CATEGORY_NAME kdeconnect.plugin.findthisdevice
    DEFAULT_SEVERITY Warning
    EXPORT kdeconnect-kde DESCRIPTION "kdeconnect (plugin findthisdevice)")

set(kdeconnect_findthisdevice_SRCS
    findthisdeviceplugin.cpp
    ${debug_file_SRCS}
)

kdeconnect_add_plugin(kdeconnect_findthisdevice
    JSON kdeconnect_findthisdevice.json
    SOURCES ${kdeconnect_findthisdevice_SRCS})

target_link_libraries(kdeconnect_findthisdevice
    kdeconnectcore
    Qt5::Core
    Qt5::Multimedia
    Qt5::DBus
)

if (NOT WIN32)
    target_link_libraries(kdeconnect_findthisdevice
        KF5::PulseAudioQt
    )
endif()

set(kdeconnect_findthisdevice_config_SRCS findthisdevice_config.cpp)
ki18n_wrap_ui(kdeconnect_findthisdevice_config_SRCS findthisdevice_config.ui)

add_library(kdeconnect_findthisdevice_config MODULE ${kdeconnect_findthisdevice_config_SRCS} ${debug_file_SRCS})
target_link_libraries(kdeconnect_findthisdevice_config
    kdeconnectpluginkcm
    Qt5::Multimedia
    KF5::I18n
    KF5::CoreAddons
    KF5::ConfigWidgets
    KF5::KIOWidgets     # KUrlRequester
)

install(TARGETS kdeconnect_findthisdevice_config DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES kdeconnect_findthisdevice_config.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== debian/changelog ===
kdeconnect (20.12.3-2) unstable; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * Add Breaks: fuse (<< 3) and Depends: fuse3 (>= 3) and bump sshfs Depends
    to (>= 3) to ensure fuse gets replaced by fuse3 on upgrades from buster.
    (Thanks to Andreas Beckmann) (Closes: #990764)

 -- Norbert Preining <norbert@preining.info>  Wed, 07 Jul 2021 04:16:39 +0900

kdeconnect (20.12.3-1) unstable; urgency=medium

  * New upstream release (20.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 08 Mar 2021 22:43:49 +0100

kdeconnect (20.12.2-1) unstable; urgency=medium

  * Team upload.

  [ Nicolas Fella ]
  * Drop now unnecessary dependency to kde-cli-tools.

  [ Pino Toscano ]
  * New upstream release.
  * Update upstream GPG signing key.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Drop the unused kdeconnect-app.lintian-overrides file.
  * Rename docs to kdeconnect.docs, to make it clear which package it refers
    to.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 14:06:51 +0100

kdeconnect (20.12.0-4) unstable; urgency=medium

  * Add Breaks+Replaces: kdeconnect (<< 20.12) (Closes: #979420).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 06 Jan 2021 16:10:02 +0100

kdeconnect (20.12.0-3) unstable; urgency=medium

  * Remove unneeded runtime dependency kde-telepathy-kpeople.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 05 Jan 2021 21:22:21 +0100

kdeconnect (20.12.0-2) unstable; urgency=medium

  * Fix runtime dependency to kpeople-vcard for vCard support.
  * Sync long description with Kubuntu.
  * Prefer the specific project homepage over the generic apps page.
  * Drop lintian override for desktop-entry-limited-to-environments, will be
    fixed upstream in the next release.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 05 Jan 2021 16:17:48 +0100

kdeconnect (20.12.0-1) unstable; urgency=medium

  * Add Recommends: kdeconnect-kpeople-vcard-plugin which is now a runtime
    dependency of kdeconnect.
  * New upstream release (20.12.0).
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Split the Nautilus extension into its own package so it can correctly
    depend on python3-nautilus.
  * Add various missing QML runtime dependendencies, drop dependency on
    qml-module-qtquick-controls, not needed anymore.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 31 Dec 2020 12:30:27 +0100

kdeconnect (20.08.3-1) unstable; urgency=medium

  * New upstream release (20.08.3).
  * Add patch to fix Python interpreter location in Debian for the Nautilus
    extension.
  * Add lintian overrides:
    - Missing manpage for kdeconnect-app, it has no command line arguments.
    - desktop-entry-limited-to-environments, kdeconnect is really only working
      in Plasma.
  * Add myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Nov 2020 23:17:30 +0100

kdeconnect (20.08.2-1) unstable; urgency=medium

  * Team upload.

  [ Nicolas Fella ]
  * Add dependency on QtQuick Particles QML module, used in the presenter.

  [ Aurélien COUDERC ]
  * New upstream release (20.08.2).
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.71.0
    - add libkf5solid-dev
  * Add lintian override for kdeconnect-app having no manual as it doesn’t
    have command line arguments.
  * Build with hardening=+all build hardening flag.
  * Review copyright information.
  * Borrow minimal upstream signing key from k3b.
  * Refresh upstream metadata.
  * Bump the debhelper compatibility to 13.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 27 Oct 2020 22:53:05 +0100

=== debian/control ===
Source: kdeconnect
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               kirigami2-dev (>= 5.71.0~),
               libfakekey-dev,
               libkf5configwidgets-dev (>= 5.71.0~),
               libkf5dbusaddons-dev (>= 5.71.0~),
               libkf5doctools-dev (>= 5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5iconthemes-dev (>= 5.71.0~),
               libkf5kcmutils-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5notifications-dev (>= 5.71.0~),
               libkf5people-dev (>= 5.71.0~),
               libkf5pulseaudioqt-dev,
               libkf5service-dev (>= 5.71.0~),
               libkf5solid-dev (>= 5.71.0~),
               libkf5wayland-dev (>= 4:5.71.0~),
               libqca-qt5-2-dev (>= 2.1.0~),
               libqt5x11extras5-dev (>= 5.10.0~),
               libx11-dev,
               libxtst-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.10.0~),
               qtdeclarative5-dev (>= 5.10.0~),
               qtmultimedia5-dev (>= 5.10.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://kdeconnect.kde.org
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeconnect.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeconnect

Package: kdeconnect
Architecture: any
Depends: kpeople-vcard,
         libqca-qt5-2-plugins,
         plasma-framework,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-people,
         qml-module-qt-labs-platform,
         qml-module-qtgraphicaleffects,
         qml-module-qtmultimedia,
         qml-module-qtqml,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-particles2,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         sshfs (>= 3),
         ${misc:Depends},
         ${shlibs:Depends},
# Ensure fuse gets replaced by fuse3 on upgrades from buster s.t. sshfs can be installed.
         fuse3 (>= 3),
Breaks: fuse (<< 3)
Description: connect smartphones to your desktop devices
 Tool to integrate your smartphone, tablet, and desktop devices.
 Remote-control, share files, synchronize notifications, and more!
 At the moment it only supports Android-based mobile devices. Linux desktop
 devices are well-supported, with ports available for other operating systems.

Package: nautilus-kdeconnect
Architecture: all
Depends: kdeconnect,
         nautilus,
	 python3-nautilus,
         ${misc:Depends},
Enhances: nautilus
Breaks: kdeconnect (<< 20.12)
Replaces: kdeconnect (<< 20.12)
Description: KDE Connect integration for Nautilus
 Extension providing integration to send files to KDE Connect compatible
 devices directly from within Nautilus.

## kdeconnect 21.08.1

=== debian/changelog ===
kdeconnect (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:32:28 +0100

kdeconnect (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:00:54 +0100

kdeconnect (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:53:55 +0100

kdeconnect (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Update build deps.
  * Add qml-module-org-kde-qqc2desktopstyle to runtime depends.

 -- Rik Mills <rikmills@kde.org>  Sat, 17 Jul 2021 22:11:04 +0100

kdeconnect (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:41:48 +0100

kdeconnect (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:38:20 +0100

kdeconnect (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:04:59 +0100

kdeconnect (21.04.0-0ubuntu1) impish; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.04.0)
  * Update build deps.
  * Update install files.

  [ José Manuel Santamaría Lema ]
  * Add lintian override for *.desktop service file

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:33:39 +0100

=== debian/control ===
--- 
+++ 
@@ -19,18 +19,25 @@
                libkf5notifications-dev (>= 5.71.0~),
                libkf5people-dev (>= 5.71.0~),
                libkf5pulseaudioqt-dev,
+               libkf5qqc2desktopstyle-dev,
                libkf5service-dev (>= 5.71.0~),
                libkf5solid-dev (>= 5.71.0~),
                libkf5wayland-dev (>= 4:5.71.0~),
                libqca-qt5-2-dev (>= 2.1.0~),
+               libqt5waylandclient5-dev,
                libqt5x11extras5-dev (>= 5.10.0~),
+               libwayland-bin,
+               libwayland-dev,
                libx11-dev,
                libxtst-dev,
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev (>= 5.10.0~),
+               qtbase5-private-dev,
                qtdeclarative5-dev (>= 5.10.0~),
                qtmultimedia5-dev (>= 5.10.0~),
+               qtquickcontrols2-5-dev,
+               qtwayland5-dev-tools,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://kdeconnect.kde.org
@@ -45,6 +52,7 @@
          qml-module-org-kde-kirigami2,
          qml-module-org-kde-kquickcontrolsaddons,
          qml-module-org-kde-people,
+         qml-module-org-kde-qqc2desktopstyle,
          qml-module-qt-labs-platform,
          qml-module-qtgraphicaleffects,
          qml-module-qtmultimedia,
@@ -55,12 +63,9 @@
          qml-module-qtquick-particles2,
          qml-module-qtquick-window2,
          qml-module-qtquick2,
-         sshfs (>= 3),
+         sshfs,
          ${misc:Depends},
          ${shlibs:Depends},
-# Ensure fuse gets replaced by fuse3 on upgrades from buster s.t. sshfs can be installed.
-         fuse3 (>= 3),
-Breaks: fuse (<< 3)
 Description: connect smartphones to your desktop devices
  Tool to integrate your smartphone, tablet, and desktop devices.
  Remote-control, share files, synchronize notifications, and more!

## kdeconnect 21.08.3

=== declarativeplugin/CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,9 @@
-include_directories(${CMAKE_CURRENT_BINARY_DIR}
-                    ${CMAKE_CURRENT_SOURCE_DIR}
-                    ${CMAKE_SOURCE_DIR}
-                    ${CMAKE_BINARY_DIR})
-
-set(kdeconnectdeclarativeplugin_SRC
+add_library(kdeconnectdeclarativeplugin SHARED
     kdeconnectdeclarativeplugin.cpp
     responsewaiter.cpp
     objectfactory.cpp
+    resources.qrc
 )
-
-qt5_add_resources(kdeconnectdeclarativeplugin_SRC resources.qrc)
-
-add_library(kdeconnectdeclarativeplugin SHARED ${kdeconnectdeclarativeplugin_SRC})
 target_link_libraries(kdeconnectdeclarativeplugin
     Qt5::Qml
     kdeconnectinterfaces
@@ -20,6 +12,8 @@
 
 install(TARGETS kdeconnectdeclarativeplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/kdeconnect)
 install(FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/kdeconnect)
+
+ecm_generate_qmltypes(org.kde.kdeconnect 1.0 DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kdeconnect)
 
 # So qml apps using this plugin can be run from build/bin directory
 add_custom_target(copy_to_build_dir_bin)

=== plugins/notifications/CMakeLists.txt ===
set(debug_file_SRCS)
ecm_qt_declare_logging_category(
    debug_file_SRCS HEADER plugin_notification_debug.h
    IDENTIFIER KDECONNECT_PLUGIN_NOTIFICATION CATEGORY_NAME kdeconnect.plugin.notification
    DEFAULT_SEVERITY Warning
    EXPORT kdeconnect-kde DESCRIPTION "kdeconnect (plugin notification)")

set(kdeconnect_notifications_SRCS
    notification.cpp
    notificationsplugin.cpp
    sendreplydialog.cpp
    ${debug_file_SRCS}
)

ki18n_wrap_ui(kdeconnect_notifications_SRCS sendreplydialog.ui)

kdeconnect_add_plugin(kdeconnect_notifications SOURCES ${kdeconnect_notifications_SRCS})

target_link_libraries(kdeconnect_notifications
    kdeconnectcore
    Qt5::DBus
    KF5::Notifications
    KF5::I18n
    KF5::WindowSystem
)

if (UNIX AND NOT APPLE)
    target_link_libraries(kdeconnect_notifications
        Qt::X11Extras
    )
endif()

=== plugins/remotecontrol/CMakeLists.txt ===
set(debug_file_SRCS)
ecm_qt_declare_logging_category(
    debug_file_SRCS HEADER plugin_remotecontrol_debug.h
    IDENTIFIER KDECONNECT_PLUGIN_REMOTECONTROL CATEGORY_NAME kdeconnect.plugin.remotecontrol
    DEFAULT_SEVERITY Warning
    EXPORT kdeconnect-kde DESCRIPTION "kdeconnect (plugin remotecontrol)")

kdeconnect_add_plugin(kdeconnect_remotecontrol SOURCES remotecontrolplugin.cpp ${debug_file_SRCS})

target_link_libraries(kdeconnect_remotecontrol
    kdeconnectcore
    Qt5::DBus
    KF5::I18n
)

=== plugins/runcommand/CMakeLists.txt ===
set(debug_file_SRCS)
ecm_qt_declare_logging_category(
    debug_file_SRCS HEADER plugin_runcommand_debug.h
    IDENTIFIER KDECONNECT_PLUGIN_RUNCOMMAND CATEGORY_NAME kdeconnect.plugin.runcommand
    DEFAULT_SEVERITY Warning
    EXPORT kdeconnect-kde DESCRIPTION "kdeconnect (plugin runcommand)")

set(kdeconnect_runcommand_SRCS
    runcommandplugin.cpp
    ${debug_file_SRCS}
)

kdeconnect_add_plugin(kdeconnect_runcommand SOURCES ${kdeconnect_runcommand_SRCS})

target_link_libraries(kdeconnect_runcommand
    kdeconnectcore
    Qt5::DBus
    KF5::KCMUtils
    KF5::I18n)

#----------------------
if(NOT SAILFISHOS)
    set( kdeconnect_runcommand_config_SRCS runcommand_config.cpp )

    add_library(kdeconnect_runcommand_config MODULE ${kdeconnect_runcommand_config_SRCS} )
    target_link_libraries( kdeconnect_runcommand_config
        kdeconnectcore
        kdeconnectpluginkcm
        KF5::I18n
        KF5::CoreAddons
        KF5::ConfigWidgets

    )

    install(TARGETS kdeconnect_runcommand_config DESTINATION ${PLUGIN_INSTALL_DIR} )
    install(FILES kdeconnect_runcommand_config.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
endif()

=== debian/changelog ===
kdeconnect (21.08.3-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 10 Feb 2022 13:21:44 -0800

kdeconnect (21.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: enable blhc again, as it should work fine now.

 -- Pino Toscano <pino@debian.org>  Sat, 06 Nov 2021 08:40:51 +0100

kdeconnect (21.08.2-1) unstable; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * Disable BLHC of Salsa CI.

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Oct 2021 21:57:18 +0200

kdeconnect (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).
  * Add missing B-Ds.

 -- Norbert Preining <norbert@preining.info>  Wed, 18 Aug 2021 09:10:24 +0900

kdeconnect (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Added myself to the uploaders.
  * Update build dependencies from cmake.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 13:57:54 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: kdeconnect
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.71.0~),
                gettext,
                kirigami2-dev (>= 5.71.0~),
+               kpeople-vcard,
                libfakekey-dev,
                libkf5configwidgets-dev (>= 5.71.0~),
                libkf5dbusaddons-dev (>= 5.71.0~),
@@ -19,26 +22,24 @@
                libkf5notifications-dev (>= 5.71.0~),
                libkf5people-dev (>= 5.71.0~),
                libkf5pulseaudioqt-dev,
-               libkf5qqc2desktopstyle-dev,
+               libkf5qqc2desktopstyle-dev (>= 5.71.0~),
                libkf5service-dev (>= 5.71.0~),
                libkf5solid-dev (>= 5.71.0~),
                libkf5wayland-dev (>= 4:5.71.0~),
                libqca-qt5-2-dev (>= 2.1.0~),
-               libqt5waylandclient5-dev,
+               libqt5waylandclient5-dev (>= 5.10.0~),
                libqt5x11extras5-dev (>= 5.10.0~),
-               libwayland-bin,
-               libwayland-dev,
                libx11-dev,
                libxtst-dev,
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev (>= 5.10.0~),
-               qtbase5-private-dev,
+               qtbase5-private-dev (>= 5.10.0~),
                qtdeclarative5-dev (>= 5.10.0~),
                qtmultimedia5-dev (>= 5.10.0~),
-               qtquickcontrols2-5-dev,
-               qtwayland5-dev-tools,
-Standards-Version: 4.5.1
+               qtquickcontrols2-5-dev (>= 5.10.0~),
+               qtwayland5-dev-tools
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://kdeconnect.kde.org
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeconnect.git
@@ -46,13 +47,13 @@
 
 Package: kdeconnect
 Architecture: any
-Depends: kpeople-vcard,
+Depends: fuse3 (>= 3),
+         kpeople-vcard,
          libqca-qt5-2-plugins,
          plasma-framework,
          qml-module-org-kde-kirigami2,
          qml-module-org-kde-kquickcontrolsaddons,
          qml-module-org-kde-people,
-         qml-module-org-kde-qqc2desktopstyle,
          qml-module-qt-labs-platform,
          qml-module-qtgraphicaleffects,
          qml-module-qtmultimedia,
@@ -63,9 +64,10 @@
          qml-module-qtquick-particles2,
          qml-module-qtquick-window2,
          qml-module-qtquick2,
-         sshfs,
+         sshfs (>= 3),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
+Breaks: fuse (<< 3)
 Description: connect smartphones to your desktop devices
  Tool to integrate your smartphone, tablet, and desktop devices.
  Remote-control, share files, synchronize notifications, and more!
@@ -74,10 +76,7 @@
 
 Package: nautilus-kdeconnect
 Architecture: all
-Depends: kdeconnect,
-         nautilus,
-	 python3-nautilus,
-         ${misc:Depends},
+Depends: kdeconnect, nautilus, python3-nautilus, ${misc:Depends}
 Enhances: nautilus
 Breaks: kdeconnect (<< 20.12)
 Replaces: kdeconnect (<< 20.12)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with=kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

# MX don't need no stinkin' dbgsyms
override_dh_strip:
	dh_strip --no-automatic-dbgsym
